<!DOCTYPE html>
<html lang="en">


 <#--  <#global mode = "PUBLISHING"/>  -->
<#-- <#global submissionContext = {"submissionDate": "Jun 11, 2021 1:49:33 PM","submissionNumber": "fdg-23q234-234"}/>  -->

<#--  Example of disabling data coming from publisher  -->
<#--  <#global submissionContext = {"submissionStatus": "DISABLED", "disableDate": "Jun 11, 2021 1:49:33 PM", "submissionNumber": "fdg-23q234-234", "submissionDate": "Jun 11, 2021 1:49:33 PM", "disableReason": "DISABLE_BY_MISTAKE"}/>  -->

<#global submissionStatus = "UNKNOWN"/>
<#global isDisabledSubmission = false />

<#if !(mode?has_content)>
    <#global mode = "REPORTING"/>
<#elseif mode == "PUBLISHING">
    <#if ((submissionContext.submissionStatus)?has_content) && submissionContext.submissionStatus == "DISABLED">
        <#global submissionStatus = "DISABLED"/>
        <#global isDisabledSubmission = true />
    </#if>
</#if>

<#global assetsVersion="20210916"/>
<#global assetsPath="../assets/" + assetsVersion />
<#global attachmentsPath="./attachments/" />
<#-- Import common macros and functions -->
<#import "../../application/docbook+xml/macros_common_general.ftl" as com>
<#import "pcn_web_utilities.ftl" as pcn>
<@com.initializeMainVariables />
<#assign locale="en" />
<#assign sysDateTime=.now />

<#assign mixture=_subject />
<#assign productInformation=iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "ProductInfo" ) />
<#assign ghsRecords=iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "Ghs" ) />
<#assign _dossierSubType = (_dossierHeader.documentSubType)!"" />
<#global headerHasContents = (_dossierHeader?has_content)  && !_dossierSubType?contains("_empty_")/>
<#assign isGroupSubmission = (headerHasContents && _dossierHeader.SpecificSubmissions.SubmissionType.GroupSubmission)/>
<#assign mixtureCompositionList = iuclid.getSectionDocumentsForParentKey(mixture.documentKey, "FLEXIBLE_RECORD", "MixtureComposition") />
<#global mixtureCompositionsIndex = pcn.getCompositionsIndex(mixtureCompositionList)/>

<head>
    <#assign tradeNames=pcn.removeDuplicates(pcn.getTradeNames(productInformation))>
    <title>PCN: <@com.text tradeNames[0] /></title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <#--  <#include "./pcn_web_head.ftl" parse=true>  -->
    <#if (mode == "PUBLISHING")>
        <link rel="stylesheet" href="${assetsPath}/css/bootstrap.min.css" />
        <script src="${assetsPath}/js/jquery-3.6.0.slim.min.js"></script>
        <script src="${assetsPath}/js/bootstrap.bundle.min.js"></script>
        <link rel="stylesheet" href="${assetsPath}/css/all.min.css">
        <link rel="stylesheet" href="${assetsPath}/css/app.css" />
    <#else>
        <#include "pcn_web_head.ftl" parse=false/>
    </#if>
</head>
<body>
    <div class="container-fluid">
        <div class="only-print" id="printHeader">
            <div class="row">
                <#if (isDisabledSubmission)>
                    <div class="col-1 text-center text-danger">
                        <i class="fa fa-ban fa-4x" title="Disabled submission"></i>
                        <p>Disabled submission</p>
                    </div>
                <#else>
                    <div class="col-1">
                        <div class="pcnLogo"></div>
                    </div>
                </#if>
                <div id="headerTraderNames" class="col">
                    <h5>
                        <#if (isGroupSubmission)>
                            <i class="fa fa-layer-group" title="Group submission"></i>
                        </#if>
                        <@com.text tradeNames[0] />
                    </h5>
                    <#if (tradeNames?size> 1)>
                    <p class="text-truncate">
                        <@com.text tradeNames[1..]?join(', ') />
                    </p>
                    </#if>
                </div>
                <div id="headerUfis-print" class="col">
                    <#assign ufis = pcn.removeDuplicates(pcn.getRegulatoryIdentifiers(mixture, ".*CLP unique formula identifier.*"))/>
                    <h5><span class="badge badge-secondary">UFI:</span> <@com.text ufis[0] /></h5>
                    <#if (ufis?size > 1)>
                    <p class="text-truncate">
                        <@com.text ufis[1..]?join(' , ') /></p>
                        </#if>
                    </div>
                    <div id="headerSubmitter-print" class="col">
                        <#assign submitterLegalEntity = iuclid.getDocumentForKey(mixture.OwnerLegalEntity)/>
                        <#if (submitterLegalEntity.GeneralInfo?has_content)>
                            <h5><@com.text submitterLegalEntity.GeneralInfo.LegalEntityName/></h5>
                        </#if>

                    </div>
                </div>
            </div>
        </div>
        <div id="viewHeader" class="fixed-top pt-3 px-3">
            <div class="row">
                <#if (isDisabledSubmission)>
                    <div class="col-1 text-center text-danger">
                        <i class="fa fa-ban fa-4x" title="Disabled submission"></i>
                    </div>
                <#else>
                    <div class="col-1">
                        <div class="pcnLogo"></div>
                    </div>
                </#if>
                <div id="headerTraderNames" class="col">
                    <h5 class="text-truncate">
                        <#if (isGroupSubmission)>
                            <i class="fa fa-layer-group" title="Group submission"></i>
                        </#if>
                        <@com.text tradeNames[0] />
                    </h5>
                    <#assign sfName = pcn.getOtherMixtureName(mixture, "standard formula")/>
                    <#assign fuelName = pcn.getOtherMixtureName(mixture, "fuels")/>

                    <#if (sfName?has_content)>
                        <p class="text-truncate"><i class="fa fa-book" title="Standard formula"></i> ${sfName}</p>
                    <#elseif (fuelName?has_content)>
                        <p class="text-truncate"><i class="fa fa-gas-pump" title="Fuel"></i> ${fuelName}</p>
                    <#elseif (tradeNames?size> 1)>
                        <p class="text-truncate">
                            <@com.text tradeNames[1..]?join(', ') />
                        </p>
                    </#if>
                </div>
                <div id="headerUfis" class="col">
                    <#assign ufis = pcn.removeDuplicates(pcn.getRegulatoryIdentifiers(mixture, ".*CLP unique formula identifier.*"))/>
                    <h5 class="text-truncate"><span class="badge badge-secondary">UFI:</span> <@com.text ufis[0] /></h5>
                    <#if (ufis?size > 1)>
                        <p class="text-truncate">
                            <@com.text ufis[1..]?join(' , ') />
                        </p>
                    </#if>
                </div>
                <#if (isDisabledSubmission)>
                    <div id="headerLabelling" class="col">
                        <h4>
                            <span class="badge badge-pill badge-danger">Disabled submission</span>
                        </h4>
                    </div>
                <#else>
                    <div id="headerLabelling" class="cold">
                        <@pcn.printLabellingHeader (ghsRecords[0])!{}/>
                    </div>
                </#if>
            </div>
            <!-- Nav tabs -->
            <ul class="nav nav-tabs">
                <li class="nav-item">
                    <a class="nav-link active" data-toggle="tab" href="#productInfo" id="productTab">Common product information</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#productDetailedInfo" id="productDetailedTab">Specific product information</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#mixtureInfo" id="mixtureTab">Mixture composition</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#toxicologicalInfo" id="toxicologicalTab">Toxicological information</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" data-toggle="tab" href="#administrativeInfo" id="administrativeTab">Administrative information</a>
                </li>
            </ul>
        </div>
        <!-- Tab contents -->
        <div class="tab-content border border-top-0">
            <!--------------------- START productInfo Tab conent--------------------------------------------->
            <div id="productInfo" class="container-fluid tab-pane active">
                <@pcn.printDisabledCard/>
                <h4 class="only-print">1. Common product information</h4>
                <div class="row card-row-${submissionStatus}">
                    <div class="col-md-6 col-sm-12">

                        <div class="card" id="productDetails">
                            <div class="card-header py-0">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" data-toggle="collapse"
                                    data-target="#productDetailsBody">
                                    <i class="toggle fa"></i>
                                    Product details
                                    <i class="fas fa-flask"></i>
                                </button>
                            </h5>
                        </div>

                        <div id="productDetailsBody" class="collapse show">
                            <div class="card-body">
                                <dl class="row">
                                    <dt class="col-sm-3">Name(s)</dt>
                                    <dd class="col-sm-9">
                                        <@pcn.listStrings tradeNames true true/>
                                    </dd>
                                    <dt class="col-sm-3">UFI(s)</dt>
                                    <dd class="col-sm-9">
                                        <@pcn.listStrings ufis true true/>
                                    </dd>
                                    <#assign otherNames = pcn.otherNames(mixture)/>
                                    <#if (otherNames?has_content)>
                                        <#list otherNames as name>
                                            <#--  Only print out SF, fuels, and common names  -->
                                            <#if name.type?contains("standard formula (SF)") || name.type?contains("fuels") || name.type?contains("common name")>
                                                <dt class="col-sm-3">${name.type?cap_first}</dt>
                                                <dd class="col-sm-9">
                                                    <@pcn.printIconForNameType name.type/>
                                                    ${name.identifier}
                                                    ${name.remarks}
                                                </dd>
                                            </#if>
                                        </#list>
                                    </#if>
                                    <#assign typeAndSizeOfPackages = pcn.getTypeAndSizeOfPackages(productInformation) />
                                    <#assign packagingAttachments = pcn.getPackagingAttachments(productInformation) />
                                    <dt class="col-sm-3">Packaging</dt>
                                    <dd class="col-sm-9">
                                        <@pcn.listStrings pcn.removeDuplicates(typeAndSizeOfPackages)/>
                                    </dd>
                                    <#assign colourAndPhysical = pcn.getColourAndPhysical(productInformation) />
                                    <dt class="col-sm-3">State</dt>
                                    <dd class="col-sm-9">
                                        <@pcn.listStrings pcn.removeDuplicates(colourAndPhysical.physicalState)/>
                                    </dd>

                                    <dt class="col-sm-3">Form</dt>
                                    <dd class="col-sm-9">
                                        <@pcn.listStrings pcn.removeDuplicates(colourAndPhysical.form)/>
                                    </dd>

                                    <dt class="col-sm-3">Colour</dt>
                                    <dd class="col-sm-9">
                                        <@pcn.printColours pcn.removeDuplicates(colourAndPhysical.colour)/>
                                    </dd>
                                    <dt class="col-sm-3">Colour intensity</dt>
                                    <dd class="col-sm-9">
                                        <@pcn.listStrings pcn.removeDuplicates(colourAndPhysical.colourIntensity)/>
                                    </dd>
                                    <dt class="col-sm-3">Attachments</dt>
                                    <dd class="col-sm-9">
                                        <@pcn.listAttachments packagingAttachments/>
                                    </dl>
                                </div>
                            </div>
                        </div> <!-- END productDetails-->
                    </div>

                    <div class="col-md-6 col-sm-12">
                        <div class="card" id="submissionDetails">
                            <div class="card-header py-0">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" data-toggle="collapse"
                                    data-target="#submissionDetailsBody">
                                        <i class="toggle fa"></i>
                                        Submission details
                                        <i class="fas fa-folder-open"></i>
                                    </button>
                                </h5>
                            </div>

                            <div id="submissionDetailsBody" class="collapse show">
                                <div class="card-body">
                                    <dl class="row">
                                        <dt class="col-sm-3">Submitted by</dt>
                                        <dd class="col-sm-9">
                                            <p>
                                                <#if (submitterLegalEntity.GeneralInfo?has_content)>
                                                    <@pcn.printLegalEntity submitterLegalEntity "submittedBy" />
                                                <#else>
                                                    Submitter not defined
                                                </#if>
                                            </p>
                                        </dd>
                                        <#if (mode == "PUBLISHING")>
                                            <dt class="col-sm-3">Date submitted</dt>
                                            <dd class="col-sm-9">
                                                <p><@com.text submissionContext.submissionDate/></p>
                                            </dd>
                                            <dt class="col-sm-3">Submission Number</dt>
                                            <dd class="col-sm-9">
                                                <p><@com.text submissionContext.submissionNumber/></p>
                                            </dd>
                                        </#if>
                                        <@pcn.printNotificationDetails _dossierHeader!{} "prodInfoTab"/>
                                    </dl>
                                </div>
                            </div>
                        </div> <!-- END submissionDetails-->

                        <div class="card" id="usesDetails">
                            <div class="card-header py-0">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" data-toggle="collapse" data-target="#usesDetailsBody">
                                        <i class="toggle fa"></i>
                                        Uses
                                        <i class="fas fa-sign-language"></i>
                                    </button>
                                </h5>
                            </div>

                            <div id="usesDetailsBody" class="collapse show">
                                <div class="card-body">
                                    <dl class="row">
                                        <dt class="col-sm-3">Types of uses</dt>
                                        <dd class="text-center col-sm-9">
                                            <#assign useTypes = pcn.getUseTypes(productInformation)/>
                                            <#if (useTypes?has_content)>
                                                <div class="row">
                                                    <@pcn.displayUseTypes useTypes/>
                                                </div>
                                            <#else>
                                                <p class="text-left">NA</p>
                                            </#if>
                                        </dd>
                                        <dt class="col-sm-3">Main intended use</dt>
                                        <dd class="col-sm-9">
                                            <#assign mainUses = pcn.getMainUses(productInformation)/>
                                            <@pcn.listStrings pcn.removeDuplicates(mainUses) false true/>
                                        </dd>
                                        <#assign secondaryUses = pcn.getSecondaryUses(productInformation)/>
                                        <#if (secondaryUses?has_content)>
                                            <dt class="col-sm-3">Secondary uses</dt>
                                            <dd class="col-sm-9">
                                                <@pcn.listStrings pcn.removeDuplicates(secondaryUses) true/>
                                            </dd>
                                        </#if>
                                    </dl>
                                </div>
                            </div>
                        </div> <!-- END usesDetails-->
                    </div>
                </div> <!-- END row -->
                <div class="row card-row-${submissionStatus}">
                    <div class="col-md-6 col-sm-12">

                        <div class="card" id="allCnlDetails">

                            <div class="card-header py-0">
                                    <h5 class="mb-0">
                                        <button class="btn btn-link" data-toggle="collapse" data-target="#allCnlDetailsBody">
                                            <i class="toggle fa"></i>
                                            Classification, labelling and notes
                                        </button>
                                    </h5>
                            </div>
                            <div id="allCnlDetailsBody" class="alternateRowColorBody collapse show">
                                <div class="card-body pt-0">
                                    <div class="card" id="cnlDetails">

                                        <div class="card-header py-0">
                                            <h6 class="mb-0">
                                                <button class="btn btn-link" data-toggle="collapse" data-target="#cnlDetailsBody">
                                                    <i class="toggle fa"></i>
                                                    Classification
                                                    <i class="fas fa-biohazard"></i>
                                                </button>
                                            </h6>
                                        </div>

                                        <div id="cnlDetailsBody" class="alternateRowColorBody collapse show">
                                            <div class="card-body">
                                                <#if ghsRecords?has_content>
                                                    <#--  Group submissions can have several ghs records. In that case
                                                    only environmental hazards can be different. Thus, we only merge the env hazards and
                                                    print the first GHS record  and the merged env classification-->
                                                    <#assign record = ghsRecords[0] />
                                                    <#if record?has_content>
                                                        <#if (record.GeneralInformation.NotClassified)>
                                                            <p>Not classified</p>
                                                        </#if>
                                                        <@pcn.ghsClassification record />
                                                        <@pcn.printEnvironmentalClassification ghsRecords/>
                                                    <#else>
                                                        <p>No classification information provided</p>
                                                    </#if>
                                                </#if>
                                            </div>
                                        </div>
                                    </div> <!-- END cnlDetails-->
                                    <div class="card" id="cnlLabelling">

                                        <div class="card-header py-0">
                                            <h6 class="mb-0">
                                                <button class="btn btn-link" data-toggle="collapse" data-target="#cnlLabellingBody">
                                                    <i class="toggle fa"></i>
                                                    Labelling
                                                    <i class="fas fa-tag"></i>
                                                </button>
                                            </h6>
                                        </div>

                                        <div id="cnlLabellingBody" class="alternateRowColorBody collapse show">
                                            <div class="card-body">
                                                <#if ghsRecords?has_content>
                                                    <#--  Group submissions can have several ghs records. In that case
                                                    only environmental hazards can be different. Thus, we only merge the env hazards and
                                                    print the first GHS record  and the merged env classification-->
                                                    <#assign record = ghsRecords[0] />
                                                    <#if record?has_content>
                                                        <dl class="row">
                                                            <@pcn.printLabelling record/>
                                                        </dl>

                                                        <h6 class="bg-light">Additional labelling requirements</h6>
                                                        <div class="pl-4">
                                                            <dl class="row">
                                                                <@pcn.printAdditionalLabelling record/>
                                                            </dl>
                                                        </div>
                                                    <#else>
                                                        <p>No classification and labelling information provided</p>
                                                    </#if>
                                                </#if>
                                            </div>
                                        </div>
                                    </div> <!-- END cnlLabelling-->
                                    <div class="card" id="notesDetails">
                                        <div class="card-header py-0">
                                            <h6 class="mb-0">
                                                <button class="btn btn-link" data-toggle="collapse" data-target="#notesDetailsBody">
                                                    <i class="toggle fa"></i>
                                                    Notes
                                                    <i class="fas fa-sticky-note"></i>
                                                </button>
                                            </h6>
                                        </div>

                                        <div id="notesDetailsBody" class="collapse show">
                                            <div class="card-body">
                                            <#if ghsRecords?has_content>
                                                <div class="row">
                                                    <@pcn.cnlNotes ghsRecords[0]/>
                                                </div>
                                            <#else>
                                                <p>None selected</p>
                                            </#if>
                                            </div>
                                        </div>
                                    </div> <!-- END notesDetails-->
                                </div>
                            </div>
                        </div> <!-- END allCnlDetails-->


                    </div>

                    <div class="col-md-6 col-sm-12">

                        <div class="card" id="phDetails">
                            <div class="card-header py-0">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" data-toggle="collapse" data-target="#phDetailsBody">
                                        <i class="toggle fa"></i>
                                        pH information
                                        <i class="fas fa-eye-dropper"></i>
                                    </button>
                                </h5>
                            </div>

                            <div id="phDetailsBody" class="collapse show">
                                <#assign phInfoList = pcn.getPhInformation(mixture)/>
                                <div class="card-body">
                                    <#if (phInfoList?has_content)>
                                        <@pcn.printPhInformation phInfoList true/>
                                    <#else>
                                        <p>pH information not available</p>
                                    </#if>
                                </div>
                            </div>
                        </div> <!-- END phDetails-->


                        <br />

                        <div class="card" id="emergencyContactDetails">
                            <div class="card-header py-0">
                                <h5 class="mb-0">
                                    <button class="btn btn-link" data-toggle="collapse"
                                    data-target="#emergencyContactDetailsBody">
                                        <i class="toggle fa"></i>
                                        Emergency contact
                                        <i class="fas fa-address-card"></i>
                                    </button>
                                </h5>
                            </div>

                            <div id="emergencyContactDetailsBody" class="collapse show">
                                <#assign emergencyContacts = pcn.getEmergencyContacts(mixture)/>
                                <div class="card-body">
                                    <@pcn.printContacts emergencyContacts "prodInfoTab-emergencyContact-"/>
                                </div>
                            </div>
                        </div> <!-- END emergencyContactDetails-->

                    </div>
                </div> <!-- END row -->
            </div>
             <!--------------------- END productInfo Tab conent--------------------------------------------->
            <!--------------------- START productDetailedInfo ------------------->
            <div id="productDetailedInfo" class="container-fluid tab-pane fade">
                <@pcn.printDisabledCard/>
                <h4 class="only-print">2. Specific product information</h4>
                <div class="row card-row-${submissionStatus}">
                    <#list productInformation as product>
                        <#assign productTradeNames = pcn.getTradeNames([product])>
                        <#assign productOtherNames = pcn.getProductOtherNames([product])>
                        <div class="col-md-12 col-sm-12">
                            <div class="card" id="productDetails-${product?counter}">
                                <div class="card-header py-0">
                                    <h5 class="mb-0">
                                        <button class="btn btn-link" data-toggle="collapse"
                                        data-target="#productDetailsBody-${product?counter}">
                                        <i class="toggle fa"></i>
                                        <@com.text productTradeNames[0]!"No named product"/>
                                        <i class="fas fa-flask"></i>
                                    </button>
                                </h5>
                            </div>
                            <div id="productDetailsBody-${product?counter}" class="collapse show alternateRowColorBody">
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-6">
                                        <dl class="row">
                                        <#if (product.GroupSubmission.MixtureLink?has_content)>
                                            <#assign productMixtures = pcn.buildMixtureReferences(product.GroupSubmission.MixtureLink)/>
                                            <dt class="col-sm-3">Mixture</dt>
                                            <dd class="col-sm-9">
                                                <@pcn.listStrings productMixtures false true/>
                                            </dd>
                                        </#if>
                                        <dt class="col-sm-3">Trade name(s)</dt>
                                        <dd class="col-sm-9">
                                            <#list productTradeNames as name>
                                            <p><@com.text name/></p>
                                            <#else>
                                                <p>NA</p>
                                            </#list>
                                        </dd>
                                        <dt class="col-sm-3">Other name(s)</dt>
                                        <dd class="col-sm-9">
                                            <#list productOtherNames as name>
                                            <p><@com.text name/></p>
                                            <#else>
                                                <p>NA</p>
                                            </#list>
                                        </dd>
                                        <#list product.ProductIdentifiers.UFI>
                                            <dt class="col-sm-3">UFI(s)</dt>
                                            <dd class="col-sm-9">
                                            <#items as ufi>
                                                <#assign productUfis =pcn.getRegulatoryIdentifiersFromRecord( iuclid.getDocumentForKey(ufi), ".*CLP unique formula identifier.*")/>
                                                <#list productUfis as number>
                                                    <p><@com.text number/></p>
                                                <#else>
                                                    <p>NA</p>
                                                </#list>
                                            </#items>
                                            </dd>
                                        </#list>
                                        <#list product.ProductIdentifiers.UFI>
                                            <dt class="col-sm-3">Multi-component id</dt>
                                            <dd class="col-sm-9">
                                            <#items as ufi>
                                                <#assign productMulti =pcn.getRegulatoryIdentifiersFromRecord( iuclid.getDocumentForKey(ufi), ".*CLP multi-component product identifier.*")/>
                                                <#list productMulti as number>
                                                    <p><@com.text number/></p>
                                                <#else>
                                                    <p>NA</p>
                                                </#list>
                                            </#items>
                                            </dd>
                                        </#list>
                                        <#assign typeAndSizeOfPackages = pcn.getTypeAndSizeOfPackages([product]) />
                                        <#assign packagingAttachments = pcn.getPackagingAttachments([product]) />
                                        <dt class="col-sm-3">Packaging</dt>
                                        <dd class="col-sm-9">
                                            <@pcn.listStrings pcn.removeDuplicates(typeAndSizeOfPackages)/>
                                        </dd>
                                        <#assign colourAndPhysical = pcn.getColourAndPhysical([product]) />
                                        <dt class="col-sm-3">State</dt>
                                        <dd class="col-sm-9">
                                            <@pcn.listStrings pcn.removeDuplicates(colourAndPhysical.physicalState)/>
                                        </dd>

                                        <dt class="col-sm-3">Form</dt>
                                        <dd class="col-sm-9">
                                            <@pcn.listStrings pcn.removeDuplicates(colourAndPhysical.form)/>
                                        </dd>

                                        <dt class="col-sm-3">Colour</dt>
                                        <dd class="col-sm-9">
                                            <@pcn.printColours pcn.removeDuplicates(colourAndPhysical.colour)/>
                                        </dd>
                                        <dt class="col-sm-3">Colour intensity</dt>
                                        <dd class="col-sm-9">
                                            <@pcn.listStrings pcn.removeDuplicates(colourAndPhysical.colourIntensity)/>
                                        </dd>
                                        <dt class="col-sm-3">Attachments</dt>
                                        <dd class="col-sm-9">
                                            <@pcn.listAttachments packagingAttachments/>
                                        </dd>
                                        </dl>
                                        </div>
                                        <div class="col-6">
                                            <dl class="row">
                                                <dt class="col-sm-3">Types of uses</dt>
                                                <dd class="text-center col-sm-9">
                                                    <div class="row">
                                                        <#assign useTypes = pcn.getUseTypes([product])/>
                                                        <@pcn.displayUseTypes useTypes/>
                                                    </div>
                                                </dd>
                                                <dt class="col-sm-3">Main intended use</dt>
                                                <dd class="col-sm-9">
                                                    <#assign mainUses = pcn.getMainUses([product])/>
                                                    <@pcn.listStrings mainUses/>
                                                </dd>
                                                <#assign secondaryUses = pcn.getSecondaryUses([product])/>
                                                <#if (secondaryUses?has_content)>
                                                    <dt class="col-sm-3">Secondary uses</dt>
                                                    <dd class="col-sm-9">
                                                        <@pcn.listStrings secondaryUses true/>
                                                    </dd>
                                                </#if>
                                                <dt class="col-sm-3">Active markets</dt>
                                                <dd class="col-sm-9">
                                                    <@pcn.printCountriesList product.AdditionalInformation.MarketPlacement.Country/>
                                                </dd>
                                                <dt class="col-sm-3">Ceased markets</dt>
                                                <dd class="col-sm-9">
                                                    <@pcn.printCountriesList product.AdditionalInformation.MarketPlacement.CeasedMarket/>
                                                </dd>
                                            </dl>
                                        </div>
                                    </div>
                                    </div>
                                </div>
                            </div> <!-- END productDetails-->
                        </div>
                    <#else>
                        <p>No product details available</p>
                    </#list>

                </div> <!-- END row -->
            </div>
            <!--------------------- END productDetailedInfo Tab content --------------------------------------------->

                <!--------------------- START mixtureInfo Tab conent--------------------------------------------->
                <div id="mixtureInfo" class="container-fluid tab-pane fade">
                    <@pcn.printDisabledCard/>
                    <h4 class="only-print">3. Mixture information</h4>
                    <#--sort mixtureCompositionList -->
                    <#assign commonComponents = pcn.getCommonComponents(mixtureCompositionList)/>
                    <!-- START Components-->
                    <#if (mixtureCompositionList?size == 1)>
                        <#--  If only one composition we do not worry about common components  -->
                        <@pcn.printCompositionCard mixtureCompositionList[0]/>
                    <#else>
                        <#if (mixtureCompositionList?size > 1)>
                            <@pcn.printCompositionCard mixtureCompositionList[0] commonComponents true "common"/>
                        </#if>
                        <#list mixtureCompositionList as composition>
                            <@pcn.printCompositionCard composition commonComponents false composition?counter/>
                        </#list>
                    </#if>

                </div>
                <!--------------------- END mixtureInfo Tab content --------------------------------------------->

                <!--------------------- START toxicologicalInfo Tab content--------------------------------------------->
                <div id="toxicologicalInfo" class="container-fluid tab-pane fade">
                    <@pcn.printDisabledCard/>
                    <h4 class="only-print">4. Toxicological information</h4>
                    <div class="row card-row-${submissionStatus}">
                        <div class="col-12">
                            <#assign sdsList = pcn.getSdsList(mixture)/>
                            <#if (sdsList.sdsAttachmentList?size > 0)>
                                <div class="card">
                                    <div class="card-header py-0">
                                        <h5 class="btn mb-0">
                                            <button class="btn btn-link" data-toggle="collapse"
                                            data-target="#sdsListBody">
                                                <i class="toggle fa"></i>
                                                Safety data sheet(s)
                                            </button>
                                        </h5>
                                    </div>
                                    <div class="card-body collapse show" id="sdsListBody">
                                        <div class="col-12">
                                            <table class="phTable table table-sm mb-0">
                                                <thead>
                                                    <tr>
                                                        <th>Country</th>
                                                        <th>Language</th>
                                                        <th class="w-75 text-left">Filename</th>
                                                        <#if (sdsList.hasMixturesLinked)>
                                                            <th>Mixture compositions</th>
                                                        </#if>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <#list sdsList.sdsAttachmentList?sort_by("countryCode") as attachment>
                                                        <tr>
                                                            <td><p>${attachment.countryCode}</p></td>

                                                            <td>
                                                                <p><span class="badge badge-secondary">${attachment.language}</span></p>
                                                            </td>
                                                            <td class="text-left">
                                                                <#if (mode == "PUBLISHING")>
                                                                    <p class="ml-2"><a href="${attachment.uri}" target="_blank">${attachment.filename} <i class="fas fa-download"></i></a></p>
                                                                <#else>
                                                                    <p class="ml-2">${attachment.filename}</p>
                                                                </#if>
                                                            </td>
                                                            <#if (attachment.mixtures?size > 0)>
                                                                <td>

                                                                    <@pcn.listStrings attachment.mixtures false true/>
                                                                </td>
                                                            </#if>
                                                        </tr>
                                                    </#list>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </#if>
                            <div class="card">
                                <div class="card-header py-0">
                                    <h5 class="btn mb-0">Section 11 of the SDS</h5>
                                </div>
                                <div class="card-body">
                                    <@pcn.printToxInfo sdsList "main" "light"/>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!--------------------- END toxicologicalInfo Tab conent--------------------------------------------->

                <!--------------------- START administrativeInfo Tab conent--------------------------------------------->
                <div id="administrativeInfo" class="container-fluid tab-pane fade">
                    <@pcn.printDisabledCard/>
                    <h4 class="only-print">5. Administrative information</h4>
                    <div class="row card-row-${submissionStatus}">
                        <div class="col">

                            <div class="card" id="adminSubmissionDetails">
                                <div class="card-header py-0">
                                    <h5 class="mb-0">
                                        <button class="btn btn-link" data-toggle="collapse"
                                        data-target="#adminSubmissionDetailsBody">
                                            <i class="toggle fa"></i>
                                            Submission details
                                            <i class="fas fa-folder"></i>
                                        </button>
                                    </h5>
                                </div>
                                <#if headerHasContents>
                                    <div id="adminSubmissionDetailsBody" class="collapse show">
                                        <div class="card-body">
                                            <dl class="row">
                                                <dt class="col-sm-3">Market areas from dossier header</dt>
                                                <dd class="col-sm-9">
                                                    <#if (_dossierHeader.SpecificSubmissions?has_content)>
                                                        <@pcn.printCountriesList _dossierHeader.SpecificSubmissions.MarketPlacement/>
                                                        <#--  <#assign markets>
                                                            <@com.picklistMultiple _dossierHeader.SpecificSubmissions.MarketPlacement/>
                                                        </#assign>
                                                        <@pcn.listStrings markets?split(';') />  -->
                                                    </#if>
                                                </dd>
                                                <dt class="col-sm-3">Languages</dt>
                                                <dd class="col-sm-9">
                                                    <#if (_dossierHeader.SpecificSubmissions?has_content) && (_dossierHeader.SpecificSubmissions.Language?has_content)>
                                                        <#list _dossierHeader.SpecificSubmissions.Language as language>
                                                            <p class="badge badge-secondary"><@com.picklist language/></p>
                                                        </#list>
                                                    </#if>
                                                </dd>
                                                <dt class="col-sm-3">Submission type</dt>
                                                <dd class="col-sm-9">
                                                    <@pcn.printSubmissionDetails _dossierHeader!{}/>
                                                </dd>
                                                <@pcn.printNotificationDetails _dossierHeader!{} "adminTab"/>
                                            </dl>
                                        </div>
                                    </div>
                                <#else>
                                    <div id="adminSubmissionDetailsBody" class="collapse show">
                                        <div class="card-body">
                                            <p>Not a dossier</p>
                                        </div>
                                    </div>
                                </#if>
                            </div> <!-- END adminSubmissionDetails-->
                        </div>

                        <div class="col">
                            <div class="card" id="mixtureInfoDetails">
                                <div class="card-header py-0">
                                    <h5 class="mb-0">
                                        <button class="btn btn-link" data-toggle="collapse"
                                        data-target="#mixtureInfoDetailsBody">
                                            <i class="toggle fa"></i>
                                            Mixture information
                                            <i class="fas fa-info-circle"></i>
                                        </button>
                                    </h5>
                                </div>

                                <div id="mixtureInfoDetailsBody" class="collapse show">
                                    <div class="card-body">
                                        <dl class="row">
                                            <dt class="col-sm-3">Mixture name</dt>
                                            <dd class="col-sm-9">
                                                <#if (mixture.MixtureName?has_content)>
                                                     <@com.text mixture.MixtureName />
                                                <#else>
                                                    NA
                                                </#if>
                                            </dd>
                                            <#list otherNames as name>
                                                <dt class="col-sm-3">${name.type?cap_first}</dt>
                                                <dd class="col-sm-9">
                                                    <@pcn.printIconForNameType name.type/>
                                                    ${name.identifier}
                                                    ${name.remarks}
                                                </dd>
                                            </#list>
                                        </dl>
                                    </div>
                                </div>
                            </div> <!-- END mixtureInfoDetails-->
                            <div class="card" id="additionalInfoDetails">
                                <div class="card-header py-0">
                                    <h5 class="mb-0">
                                        <button class="btn btn-link" data-toggle="collapse"
                                        data-target="#additionalInfoDetailsBody">
                                            <i class="toggle fa"></i>
                                            Additional information
                                            <i class="fas fa-info-circle"></i>
                                        </button>
                                    </h5>
                                </div>

                                <div id="additionalInfoDetailsBody" class="collapse show">
                                    <div class="card-body">
                                        <#if headerHasContents>
                                            <dl class="row">
                                                <dt class="col-sm-3">Date of dossier creation</dt>
                                                <dd class="col-sm-9">
                                                    <@com.text _dossierHeader.creationDate />
                                                </dd>
                                                <dt class="col-sm-3">Dossier name</dt>
                                                <dd class="col-sm-9">
                                                    <#if (_dossierHeader.Name?has_content)>
                                                        <@com.text _dossierHeader.Name />
                                                    <#else>
                                                        NA
                                                    </#if>
                                                </dd>
                                                <dt class="col-sm-3">Dossier remarks</dt>
                                                <dd class="col-sm-9">
                                                    <#if (_dossierHeader.remarks?has_content)>
                                                        <@com.text _dossierHeader.remarks />
                                                    <#else>
                                                        NA
                                                    </#if>
                                                </dd>
                                                <dt class="col-sm-3">Dossier UUID</dt>
                                                <dd class="col-sm-9">
                                                    <@com.text dossier.uuid />
                                                </dd>

                                                <dt class="col-sm-3">PCN number</dt>
                                                <dd class="col-sm-9">
                                                    <#if (_dossierHeader.SpecificSubmissions?has_content)>
                                                        <@com.text _dossierHeader.SpecificSubmissions.PCNNumber/>
                                                    </#if>
                                                </dd>

                                                <dt class="col-sm-3">PCN related number</dt>
                                                <dd class="col-sm-9">
                                                    <#assign clpNumbers = pcn.removeDuplicates(pcn.getRegulatoryIdentifiers(mixture, ".*CLP related PCN number.*"))/>
                                                    <@pcn.listStrings clpNumbers true/>
                                                </dd>
                                            </dl>
                                        <#else>
                                            <p>Not a dossier</p>
                                        </#if>
                                        <#assign iTIdentifiers = pcn.getOtherITIdentifiers(mixture)/>
                                        <#if (iTIdentifiers?has_content)>
                                            <h6>Other IT identifiers</h6>
                                            <dl class="row">
                                                <#list iTIdentifiers as item>
                                                    <dt class="col-sm-3">${item.iTSystem}</dt>
                                                    <dd class="col-sm-9">${item.id}</dd>
                                                </#list>
                                            </dl>
                                        </#if>
                                    </div>
                                </div>
                            </div> <!-- END additionalInfoDetails-->
                        </div>
                    </div> <!-- END row -->

                    <br />

                    <div class="row card-row-${submissionStatus}">
                        <div class="col">
                            <div class="card" id="admin-EmergencyContactDetails">
                                <div class="card-header py-0">
                                    <h5 class="mb-0">
                                        <button class="btn btn-link" data-toggle="collapse"
                                        data-target="#admin-EmergencyContactDetailsBody">
                                            <i class="toggle fa"></i>
                                            Emergency contact
                                            <i class="fas fa-address-card"></i>
                                        </button>
                                    </h5>
                                </div>

                                <div id="admin-EmergencyContactDetailsBody" class="collapse show">
                                    <div class="card-body">
                                        <@pcn.printContacts emergencyContacts "adminTab-emergencyContactsProduct-"/>
                                    </div>
                                </div>
                            </div> <!-- END adminEmergencyContactDetails-->
                        </div>

                        <div class="col">
                            <div class="card" id="admin-DossierContactDetails">
                                <div class="card-header py-0">
                                    <h5 class="mb-0">
                                        <button class="btn btn-link" data-toggle="collapse"
                                        data-target="#admin-DossierContactDetailsBody">
                                            <i class="toggle fa"></i>
                                            Contact for this dossier
                                            <i class="fas fa-id-card"></i>
                                        </button>
                                    </h5>
                                </div>
                                <div id="admin-DossierContactDetailsBody" class="collapse show">
                                    <div class="card-body">
                                        <dl class="row">
                                            <dt class="col-sm-3">Submitter</dt>
                                            <dd class="col-sm-9">
                                                <@pcn.printLegalEntity submitterLegalEntity "submitter"/>

                                            </dd>
                                            <#assign productContacts = pcn.getProductContacts(mixture)/>
                                            <#assign contactCounter = 1/>
                                            <#list productContacts as contact>
                                                <#assign contactId = "adminContact" + contactCounter/>
                                                <#assign contactType><@com.picklist contact.GeneralInfo.ContactType/></#assign>
                                                <dt class="col-sm-3"><@pcn.capitalise contactType/></dt>
                                                <dd class="col-sm-9">
                                                    <@pcn.printContactHeader contact contactId/>
                                                    <div id="${contactId}" class="collapse d-print-block" >
                                                        <@pcn.printContactBody contact/>
                                                    </div>
                                                </dd>
                                                 <#assign contactCounter = contactCounter + 1/>
                                            </#list>
                                        </dl>
                                    </div>
                                </div>
                            </div> <!-- END adminDossierContactDetailsBody-->
                        </div>
                    </div> <!-- END row -->
                </div>
                <!--------------------- END administrativeInfo Tab content --------------------------------------------->
            </div>
        </div>
        <div class="footer d-flex p-3">
            <div class="ml-auto">
                powered by <a href="https://iuclid6.echa.europa.eu" target="_blank"><div class="iuclidLogoText align-middle"></div>
                <#if (mode != "PUBLISHING")>
                <#-- iuclid6Version not available in reporting engine yet   -->
                    ${iuclid6Version!"version NA"}
                </#if></a>
            </div>
        </div>
        <script>
            let userPrefLanguages = $.map(navigator.languages, function (x) { return x.substr(0,2)});

            selectDefaultLangInToxInfoBoxes();
            // highlightUserLangFields();

            function showLang(l, id) {
				let content = $(".tox-" + id + "[lang='" + l + "']")
				if (content.length > 0) {
					content.addClass("active");
					content.removeClass("fade");
				}
            }
            function hidePreviouslySelectedLang(id) {
				let selectedLang = $(".tox-" + id).filter(".active");
				selectedLang.removeClass("active");
				selectedLang.addClass("fade");
            }
            function selectDefaultLangInToxInfoBoxes() {
                let toxBoxesIds = ["main"];
                $("div[class*='tox-']").each(function () {
                        var id = this.className.match(/tox-(\d[\d\-]*)/);
                    if (id && id[1] && toxBoxesIds.indexOf(id[1]) < 0) {
                        toxBoxesIds.push(id[1]); //if it is the one then push it to array
                    }
                });

                for (let i=0; i<toxBoxesIds.length; i++) {
                    selectDefaultLangInToxInfoBox(toxBoxesIds[i])
                }

            }
            function selectDefaultLangInToxInfoBox(id){
                let toxInfoBox = $(".tox-" + id);
                let languagesToxInfo = $.map($.makeArray(toxInfoBox), (function(x) { return x.lang})).sort();
				toxInfoBox.removeClass("active");
				toxInfoBox.addClass("fade");

                for (let i=0; i<userPrefLanguages.length; i++) {
					if (languagesToxInfo.indexOf(userPrefLanguages[i])> -1) {
						showLang(userPrefLanguages[i], id);
						return;
					}
                }
                if (languagesToxInfo.indexOf("en")> -1) {
                    showLang("en", id);
                    return;
                } else {
                    // We default to the first entry in the object
                    showLang(toxInfoBox.first().attr("lang"), id);
                }
            }
            function changeText(selectObj, id) {
                let idx = selectObj.selectedIndex;
                if (idx == 0) return;
                let language = selectObj.options[idx].value;
                hidePreviouslySelectedLang(id);
                showLang(language, id);
            }

            function highlightUserLangFields() {
                for (let i=0; i<userPrefLanguages.length; i++) {
                    let correctLangElements = $(".mlField[lang='" + userPrefLanguages[i] + "']");
                    correctLangElements.addClass("userLang");
                }
            }
        </script>
        <script>
            function goToMixture(id) {
                $('#mixtureTab').click();
                let doScroll = function (){
                    $('html').scrollTop(0);
                    let offset = $("#mixtureComp-" + id).offset();
                    let paddingSize = $("#viewHeader").outerHeight();
                    $("#mixtureCompCard-" + id).addClass('selectedCard');
                    let scrollTo = offset.top - paddingSize - 14;
                    console.log(scrollTo);
                     $('html').scrollTop(scrollTo);
                    setTimeout(()=> $("#mixtureCompCard-" + id).removeClass('selectedCard'), 5000)
                }
                // Bootstrap nav-link onclick listener probably scrolls back to the original position
                // We set our scroll to happen after Bootstrap one after a reasonable time.
                setTimeout(doScroll, 250);
            }
        </script>
    </body>
</html>
